#
#standard equipment type config file
#    
#     SMDU DC Fuse
#
#     Constraint to the Solution config file:
#               Relevant Sampler List: SCU  
#               Relevant Equipment List: 
#


#1. Equipment basic information
[EQUIPMENT_TYPE_INFO]
#Type ID    Group Type Flag	Type Name	    	Type Name Resource ID		  						
509	    0			SMDU-PLUSFuse		17          

#2. Define signals of this standard equipment
#2.1 Define the Sampling Signals
[SAMPLING_SIGNAL_NUM]
27

[SAMPLING_SIGNAL_INFO]
#note:if you want to change the sig name, please change the name difined in the relevant resource file synchronously
#Sig ID		Sig Name		Resource ID		Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Storing Threshold	Storing Interval	Evaluation Expression		Value Range			Value Diaplay Attribute		Value Display Level	Value Display ID	Value Display Format		Disp Exp
1		Fuse1			1			NA		1				0			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			1			NA				NA
2		Fuse2			2			NA		1				1			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			2			NA				NA
3		Fuse3			3			NA		1				2			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			3			NA				NA
4		Fuse4			4			NA		1				3			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			4			NA				NA
5		Fuse5			5			NA		1				4			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			5			NA				NA
6		Fuse6			6			NA		1				5			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			6			NA				NA
7		Fuse7			7			NA		1				6			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			7			NA				NA
8		Fuse8			8			NA		1				7			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			8			NA				NA
9		Fuse9			9			NA		1				8			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			9			NA				NA
10		Fuse10			10			NA		1				9			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			10			NA				NA
11		Fuse11			11			NA		1				10			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			11			NA				NA
12		Fuse12			12			NA		1				11			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			12			NA				NA
13		Fuse13			13			NA		1				12			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			13			NA				NA
14		Fuse14			14			NA		1				13			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			14			NA				NA
15		Fuse15			15			NA		1				14			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			15			NA				NA
16		Fuse16			16			NA		1				15			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			16			NA				NA
17		Fuse17			39			NA		1				16			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			17			NA				NA
18		Fuse18			40			NA		1				17			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			18			NA				NA
19		Fuse19			41			NA		1				18			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			19			NA				NA
20		Fuse20			42			NA		1				19			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			20			NA				NA
21		Fuse21			43			NA		1				20			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			21			NA				NA
22		Fuse22			44			NA		1				21			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			22			NA				NA
23		Fuse23			45			NA		1				22			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			23			NA				NA
24		Fuse24			46			NA		1				23			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			24			NA				NA
25		Fuse25			47			NA		1				24			E			NA			NA			NA				[ID20=Off]/[ID19=On]		W				NA			25			NA				NA

99		Interrupt		38			NA		1				110			U			NA			NA			NA				NA				NA				NA			27			NA				NA
100		State			18			NA		1				111			E			NA			NA			NA				[ID19=On]/[ID20=Off]		NA				NA			26			NA				NA
#2.2 Define the Control Signals
[CTRL_SIGNAL_NUM]
0

[CTRL_SIGNAL_INFO]
#Sig ID		Sig Name		Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Value Range		Value Display Attribute		Value Control Attribute		Controlable Expression		Authority Level		Value Display ID	Value Display Format	Control Channel ID	Control Step	Control Param	Control Expression	On Control Action	Disp Exp


#2.3 Define the Setting Signals  
[SETTING_SIGNAL_NUM]
0

[SETTING_SIGNAL_INFO]
#Sig ID		Sig Name		Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Default Value		Value Range			Value Display Attribute		Value Setting Attribute		Settable Expression	Authority Level		Value Display ID	Value Display Format	Control Channel ID	Setting Step	Control Expression	Persistence Falg	On Control Action	Disp Exp


#2.4 Define the Alarm Singals
[ALARM_NUM]
17

[ALARM_INFO]
#alarm level: OA MA CA
#Alarm ID	Alarm Name		Alarm Name Resource ID		Alarm Level	Alarm Expression	Alarm Delay	Suppressing Expression	Disp Exp
1		Fuse 1 alarm		21				CA		[0,0,1] == 1		NA		NA			NA
2		Fuse 2 alarm		22				CA		[0,0,2] == 1		NA		NA			NA
3		Fuse 3 alarm		23				CA		[0,0,3] == 1		NA		NA			NA
4		Fuse 4 alarm 		24				CA		[0,0,4] == 1		NA		NA			NA
5		Fuse 5 alarm 		25				CA		[0,0,5] == 1		NA		NA			NA
6		Fuse 6 alarm 		26				CA		[0,0,6] == 1		NA		NA			NA
7		Fuse 7 alarm 		27				CA 		[0,0,7] == 1		NA		NA			NA
8		Fuse 8 alarm 		28				CA 		[0,0,8] == 1		NA		NA			NA
9		Fuse 9 alarm 		29				CA 		[0,0,9] == 1		NA		NA			NA
10		Fuse 10 alarm		30				CA 		[0,0,10] == 1		NA		NA			NA
11		Fuse 11 alarm 		31				CA		[0,0,11] == 1		NA		NA			NA
12		Fuse 12 alarm 		32				CA		[0,0,12] == 1		NA		NA			NA
13		Fuse 13 alarm 		33				CA 		[0,0,13] == 1		NA		NA			NA
14		Fuse 14 alarm 		34				CA 		[0,0,14] == 1		NA		NA			NA
15		Fuse 15 alarm 		35				CA 		[0,0,15] == 1		NA		NA			NA
16		Fuse 16 alarm		36				CA 		[0,0,16] == 1		NA		NA			NA
18		Fuse 17 alarm 		48				CA		[0,0,17] == 1		NA		NA			NA
19		Fuse 18 alarm 		49				CA 		[0,0,18] == 1		NA		NA			NA
20		Fuse 19 alarm 		50				CA 		[0,0,19] == 1		NA		NA			NA
21		Fuse 20 alarm 		51				CA 		[0,0,20] == 1		NA		NA			NA
22		Fuse 21 alarm		52				CA 		[0,0,21] == 1		NA		NA			NA
23		Fuse 22 alarm 		53				CA 		[0,0,22] == 1		NA		NA			NA
24		Fuse 23 alarm		54				CA 		[0,0,23] == 1		NA		NA			NA
25		Fuse 24 alarm 		55				CA 		[0,0,24] == 1		NA		NA			NA
26		Fuse 25 alarm		56				CA 		[0,0,25] == 1		NA		NA			NA








